KASM-5661 Add new forensic-osint image

This commit is contained in:
Ian Tangney 2024-03-11 19:36:24 +00:00 committed by Justin Travis
parent 1d3e022378
commit 0ccd3fc7bf
9 changed files with 175 additions and 0 deletions

View File

@ -796,3 +796,19 @@ singleImages:
changeFiles:
- dockerfile-kasm-zsnes
- src/ubuntu/install/zsnes/**
- name: forensic-osint
singleapp: false
base: core-ubuntu-jammy
dockerfile: dockerfile-kasm-forensic-osint
changeFiles:
- dockerfile-kasm-forensic-osint
- src/ubuntu/install/forensic_osint/**
- src/ubuntu/install/misc/**
- src/ubuntu/install/chrome/**
- src/ubuntu/install/vs_code/**
- src/ubuntu/install/only_office/**
- src/ubuntu/install/signal/**
- src/ubuntu/install/telegram/**
- src/ubuntu/install/thunderbird/**
- src/ubuntu/install/torbrowser/**
- src/ubuntu/install/cleanup/**

View File

@ -0,0 +1,50 @@
ARG BASE_TAG="develop"
ARG BASE_IMAGE="core-ubuntu-jammy"
FROM kasmweb/$BASE_IMAGE:$BASE_TAG
USER root
ENV HOME /home/kasm-default-profile
ENV STARTUPDIR /dockerstartup
WORKDIR $HOME
### Envrionment config
ENV DEBIAN_FRONTEND=noninteractive \
SKIP_CLEAN=true \
KASM_RX_HOME=$STARTUPDIR/kasmrx \
DONT_PROMPT_WSL_INSTALL="No_Prompt_please" \
INST_DIR=$STARTUPDIR/install \
INST_SCRIPTS="/ubuntu/install/misc/install_tools.sh \
/ubuntu/install/chrome/install_chrome.sh \
/ubuntu/install/vs_code/install_vs_code.sh \
/ubuntu/install/only_office/install_only_office.sh \
/ubuntu/install/signal/install_signal.sh \
/ubuntu/install/telegram/install_telegram.sh \
/ubuntu/install/thunderbird/install_thunderbird.sh \
/ubuntu/install/torbrowser/install_torbrowser.sh \
/ubuntu/install/forensic_osint/install_forensic_osint.sh \
/ubuntu/install/forensic_osint/install_forensic_osint_background.sh \
/ubuntu/install/forensic_osint/install_forensic_osint_custom_startup.sh \
/ubuntu/install/cleanup/cleanup.sh"
# Copy install scripts
COPY ./src/ $INST_DIR
# Run installations
RUN \
for SCRIPT in $INST_SCRIPTS; do \
bash ${INST_DIR}${SCRIPT} || exit 1; \
done && \
$STARTUPDIR/set_user_permission.sh $HOME && \
rm -f /etc/X11/xinit/Xclients && \
chown 1000:0 $HOME && \
mkdir -p /home/kasm-user && \
chown -R 1000:0 /home/kasm-user && \
rm -Rf ${INST_DIR}
# Userspace Runtime
ENV HOME /home/kasm-user
WORKDIR $HOME
USER 1000
CMD ["--tail-log"]

View File

@ -0,0 +1,10 @@
# About This Image
This Image contains an Ubuntu desktop with Google Chrome, and [Forensic OSINT](https://www.forensicosint.com/) Chrome Extension pre-configured.
![Screenshot][Image_Screenshot]
[Image_Screenshot]: https://5856039.fs1.hubspotusercontent-na1.net/hubfs/5856039/dockerhub/image-screenshots/forensic-osint.png "Image Screenshot"
# Environment Variables
* `APP_ARGS` - Additional arguments to pass to the application when launched.

View File

@ -0,0 +1 @@
Ubuntu desktop with Google Chrome and Forensic OSINT Chrome Extension

Binary file not shown.

After

Width:  |  Height:  |  Size: 792 KiB

View File

@ -0,0 +1,70 @@
#!/usr/bin/env bash
set -ex
START_COMMAND="google-chrome"
PGREP="chrome"
MAXIMIZE="true"
DEFAULT_ARGS=""
if [[ $MAXIMIZE == 'true' ]] ; then
DEFAULT_ARGS+=" --start-maximized"
fi
ARGS=${APP_ARGS:-$DEFAULT_ARGS}
options=$(getopt -o gau: -l go,assign,url: -n "$0" -- "$@") || exit
eval set -- "$options"
while [[ $1 != -- ]]; do
case $1 in
-g|--go) GO='true'; shift 1;;
-a|--assign) ASSIGN='true'; shift 1;;
-u|--url) OPT_URL=$2; shift 2;;
*) echo "bad option: $1" >&2; exit 1;;
esac
done
shift
# Process non-option arguments.
for arg; do
echo "arg! $arg"
done
FORCE=$2
kasm_exec() {
if [ -n "$OPT_URL" ] ; then
URL=$OPT_URL
elif [ -n "$1" ] ; then
URL=$1
fi
# Since we are execing into a container that already has the browser running from startup,
# when we don't have a URL to open we want to do nothing. Otherwise a second browser instance would open.
if [ -n "$URL" ] ; then
/usr/bin/filter_ready
/usr/bin/desktop_ready
$START_COMMAND $ARGS $OPT_URL
else
echo "No URL specified for exec command. Doing nothing."
fi
}
kasm_startup() {
if [ -n "$KASM_URL" ] ; then
URL=$KASM_URL
elif [ -z "$URL" ] ; then
URL=$LAUNCH_URL
fi
/usr/bin/filter_ready
/usr/bin/desktop_ready
set +e
$START_COMMAND $ARGS $URL
set -e
}
if [ -n "$GO" ] || [ -n "$ASSIGN" ] ; then
kasm_exec
else
kasm_startup
fi

View File

@ -0,0 +1,17 @@
#!/bin/bash
set -ex
# Install the Forensic OSINT extension
cat >/etc/opt/chrome/policies/managed/forensic_osint.json <<EOL
{
"ExtensionSettings": {
"*": {
},
"jojaomahhndmeienhjihojidkddkahcn": {
"installation_mode": "force_installed",
"update_url": "https://clients2.google.com/service/update2/crx",
"toolbar_pin" : "force_pinned"
}
}
}
EOL

View File

@ -0,0 +1,5 @@
#!/bin/bash
set -ex
cp $INST_DIR/ubuntu/install/forensic_osint/bg_forensic_osint.png /usr/share/backgrounds/bg_default.png

View File

@ -0,0 +1,6 @@
#!/bin/bash
set -ex
cp $INST_DIR/ubuntu/install/forensic_osint/custom_startup.sh $STARTUPDIR/custom_startup.sh
chmod +x $STARTUPDIR/custom_startup.sh